Skip to main content
GET
/
api
/
v2
/
segments
/
{projectKey}
/
{environmentKey}
/
{segmentKey}
/
imports
/
{importID}
Get big segment import
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/imports/{importID} \
  --header 'Authorization: <api-key>'
{
  "id": "1234a567-bcd8-9123-4567-abcd1234567f",
  "segmentKey": "example-big-segment",
  "creationTime": "1654104600000",
  "mode": "replace",
  "status": "complete",
  "_links": {},
  "files": [
    {
      "filename": "bigsegimport.csv",
      "status": "complete"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

segmentKey
string<string>
required

The segment key

importID
string<string>
required

The import ID

Response

Segment import response

id
string
required

The import ID

Example:

"1234a567-bcd8-9123-4567-abcd1234567f"

segmentKey
string
required

The segment key

Example:

"example-big-segment"

creationTime
integer<int64>
required

Timestamp of when this import was created

Example:

"1654104600000"

mode
string
required

The import mode used, either merge or replace

Example:

"replace"

status
enum<string>
required

The import status

Available options:
preparing,
pending_approval,
ready,
in_progress,
complete,
stopped
Example:

"complete"

The location and content type of related resources

files
object[]

The imported files and their status

Example:
[
  {
    "filename": "bigsegimport.csv",
    "status": "complete"
  }
]